jhalfs version for BLFS 6.3

linux fan linuxscratch at gmail.com
Wed Sep 3 07:35:16 PDT 2008


(**EDIT ME***) Book version (mandatory)

    I did change this to

  (6.3) Book version (mandatory)

What it does for me is to cycle through blfs-xml for 6.0, 6.1, 6.2, 6.3,
reorg, and when trying to do the next menu screen,  it says "ERROR: basic
error trapped! <jhalfs 2.3.1> exit make: *** [all] Error 2".

When I look at
svn list svn://svn.linuxfromscratch.org/BLFS/tags/6.3
6.0/
6.1/
6.2/
6.3/
reorg/

Whereas when I look at
svn list svn://svn.linuxfromscratch.org/BLFS/tags/6.2.0
INSTALL
Makefile
README
appendices/
basicnet/
book/
connect/
general/
general.ent
gnome/
images/
index.xml
introduction/
kde/
multimedia/
obfuscate.sh
postlfs/
pst/
server/
stylesheets/
template/
tidy.conf
x/
xincludes/
xsoft/

It seems to be that discrepancy that triggers the errors.

On Tue, Sep 2, 2008 at 9:19 PM, George Boudreau <
georgeb at linuxfromscratch.org> wrote:

> linux fan wrote:
> > Will there be a jhalfs version for BLFS Version 6.3?
>
>   jhalfs can use either svn or release document. The only reasons for
> jhalfs revisions are improvements/bugs in the code or drastic changes to
> the document styling.
>
> > I have worked through building lfs manually and progressed through
> > building lfs and blfs using the excellent jhalfs software. I have had
> > wonderful success building using the custom tools approach. I have found
> > that the blfs-tool can be a help in solving dependencies and can be used
> > to build packages, or to contribute to developing custom-tools scripts.
> > Now, with the release of BLFS Version 6.3 as the stable version, there
> > is no jhalfs version that is able to build the BLFS 6.3 versions of
> > packages with the blfs-tool. The jhalfs-2.3.1 blfs-tool builds SVN which
> > is often builds later package versions than BLFS 6.3, which could lead
> > to a possibly unstable system. Apparently, the blfs-xml for BLFS 6.3 is
> > still being awaited.
>   From the main menu screen.
>
>   Use Book (Beyond Linux From Scratch)
>
>   Release (Branch or Stable)  <<- NOT svn
>
>   (**EDIT ME***) Book version (mandatory)
>
>     change this to
>
>   (6.3) Book version (mandatory)
>
> > Great news would be the release of a jhalfs version that can build BLFS
> 6.3.
> >
>
>   If this does not work please send me detailed log information.
>
>    George
> --
> http://linuxfromscratch.org/mailman/listinfo/alfs-discuss
> FAQ: http://www.linuxfromscratch.org/faq/
> Unsubscribe: See the above information page
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.linuxfromscratch.org/pipermail/alfs-discuss/attachments/20080903/9b4b8a28/attachment.html>


More information about the alfs-discuss mailing list